
{ config, pkgs, inputs, ... }:

{
  imports =
    [
      ../shared/shared-configuration.nix
      ./kernighan-hardware.nix
      #./services/git.nix
      #./services/nginx.nix
    ];

  networking = {
    hostName = "kernighan";
    firewall = {
      enable = false;
    };
  };

  boot = {
    loader.systemd-boot.enable = true;
    loader.efi.canTouchEfiVariables = true;
    initrd.kernelModules = [ "virtio_gpu" ];
    kernelParams = [ "console=tty" ];
  };

  environment.systemPackages = with pkgs; [
    git
    vim
  ];
}
